import { SimpleLocalIntegration } from '../../core/index.js';
import { PglabConfigFlow } from './pglab.classes.configflow.js';
import { createPglabDiscoveryDescriptor } from './pglab.discovery.js';
import type { IPglabConfig } from './pglab.types.js';
import { pglabDomain, pglabProfile } from './pglab.types.js';

export class PglabIntegration extends SimpleLocalIntegration<IPglabConfig> {
  public readonly domain = pglabDomain;
  public readonly discoveryDescriptor = createPglabDiscoveryDescriptor();
  public readonly configFlow = new PglabConfigFlow();

  constructor() {
    super(pglabProfile);
  }
}

export class HomeAssistantPglabIntegration extends PglabIntegration {}
